%define oname   itextomml

Name:       ruby-%{oname}
Version:    1.4.5
Release:    %mkrel 1
Summary:    Native Ruby bindings to itex2MML
Group:      Development/Ruby
License:    GPLv2 or MPL
URL:        http://golem.ph.utexas.edu/~distler/blog/itex2MML.html
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
Requires:   ruby(abi) = 1.8

%description
itextomml provides native Ruby bindings to itex2MML, which converts itex
equations to MathML.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/itex2MML.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}

%check
ruby test/test_itextomml.rb



%changelog
* Sat Feb 12 2011 shikamaru <shikamaru> 1.4.5-1.mga1
+ Revision: 50807
- imported package ruby-itextomml


* Thu Jan 27 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.4.5-1
- Initial package
